Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# Policy_ForwardC.cpp File Reference

`#include "Policy_ForwardC.h"`
`#include "tao/Stub.h"`
`#include "tao/Invocation.h"`
`#include "tao/PortableInterceptor.h"`
`#include "tao/RequestInfo_Util.h"`
`#include "tao/ClientRequestInfo_i.h"`
`#include "tao/ClientInterceptorAdapter.h"`
`#include "Policy_ForwardC.i"`

Include dependency graph for Policy_ForwardC.cpp:

## Defines
#define | __TAO_UNBOUNDED_OBJECT_SEQUENCE_CORBA_POLICYLIST_CS_
#define | _CORBA_POLICYLIST_CS_
#define | __TAO_UNBOUNDED_SEQUENCE_CORBA_POLICYTYPESEQ_CS_
#define | _CORBA_POLICYTYPESEQ_CS_
## Functions
CORBA::TypeCode | _tc_TAO_tc_CORBA_PolicyType (CORBA::tk_alias, sizeof(_oc_CORBA_PolicyType),(char *)&_oc_CORBA_PolicyType, 0, sizeof(CORBA::PolicyType))
| TAO_NAMESPACE_TYPE (CORBA::TypeCode_ptr) TAO_NAMESPACE_BEGIN(CORBA) TAO_NAMESPACE_DEFINE(
CORBA::TypeCode | _tc_TAO_tc_CORBA_PolicyList (CORBA::tk_alias, sizeof(_oc_CORBA_PolicyList),(char *)&_oc_CORBA_PolicyList, 0, sizeof(CORBA::PolicyList))
CORBA::TypeCode | _tc_TAO_tc_CORBA_PolicyTypeSeq (CORBA::tk_alias, sizeof(_oc_CORBA_PolicyTypeSeq),(char *)&_oc_CORBA_PolicyTypeSeq, 0, sizeof(CORBA::PolicyTypeSeq))
CORBA::TypeCode | _tc_TAO_tc_CORBA_SetOverrideType (CORBA::tk_enum, sizeof(_oc_CORBA_SetOverrideType),(char *)&_oc_CORBA_SetOverrideType, 0, sizeof(CORBA::SetOverrideType))
void | operator<<= (CORBA::Any &_tao_any, CORBA::PolicyList *_tao_elem)
CORBA::Boolean | operator>>= (const CORBA::Any &_tao_any, CORBA::PolicyList *&_tao_elem)
CORBA::Boolean | operator>>= (const CORBA::Any &_tao_any, const CORBA::PolicyList *&_tao_elem)
void | operator<<= (CORBA::Any &_tao_any, const CORBA::PolicyTypeSeq &_tao_elem)
void | operator<<= (CORBA::Any &_tao_any, CORBA::PolicyTypeSeq *_tao_elem)
CORBA::Boolean | operator>>= (const CORBA::Any &_tao_any, CORBA::PolicyTypeSeq *&_tao_elem)
CORBA::Boolean | operator>>= (const CORBA::Any &_tao_any, const CORBA::PolicyTypeSeq *&_tao_elem)
void | operator<<= (CORBA::Any &_tao_any, CORBA::SetOverrideType _tao_elem)
CORBA::Boolean | operator>>= (const CORBA::Any &_tao_any, CORBA::SetOverrideType &_tao_elem)
CORBA::Boolean | operator<< (TAO_OutputCDR &strm, const CORBA::PolicyList &_tao_sequence)
CORBA::Boolean | operator>> (TAO_InputCDR &strm, CORBA::PolicyList &_tao_sequence)
CORBA::Boolean | operator<< (TAO_OutputCDR &strm, const CORBA::PolicyTypeSeq &_tao_sequence)
CORBA::Boolean | operator>> (TAO_InputCDR &strm, CORBA::PolicyTypeSeq &_tao_sequence)
## Variables
const CORBA::Long | _oc_CORBA_PolicyType []
const CORBA::Long | _oc_CORBA_PolicyList []
const CORBA::Long | _oc_CORBA_PolicyTypeSeq []

## Define Documentation

#define __TAO_UNBOUNDED_OBJECT_SEQUENCE_CORBA_POLICYLIST_CS_

#define __TAO_UNBOUNDED_SEQUENCE_CORBA_POLICYTYPESEQ_CS_

#define _CORBA_POLICYLIST_CS_

#define _CORBA_POLICYTYPESEQ_CS_

## Function Documentation

CORBA::TypeCode _tc_TAO_tc_CORBA_PolicyList | ( | CORBA::tk_alias | ,
|  | sizeof(_oc_CORBA_PolicyList) | ,
|  | (char *)& | _oc_CORBA_PolicyList,
|  | 0 | ,
|  | sizeof(CORBA::PolicyList) |
| ) | `[static]`

CORBA::TypeCode _tc_TAO_tc_CORBA_PolicyType | ( | CORBA::tk_alias | ,
|  | sizeof(_oc_CORBA_PolicyType) | ,
|  | (char *)& | _oc_CORBA_PolicyType,
|  | 0 | ,
|  | sizeof(CORBA::PolicyType) |
| ) | `[static]`

CORBA::TypeCode _tc_TAO_tc_CORBA_PolicyTypeSeq | ( | CORBA::tk_alias | ,
|  | sizeof(_oc_CORBA_PolicyTypeSeq) | ,
|  | (char *)& | _oc_CORBA_PolicyTypeSeq,
|  | 0 | ,
|  | sizeof(CORBA::PolicyTypeSeq) |
| ) | `[static]`

CORBA::TypeCode _tc_TAO_tc_CORBA_SetOverrideType | ( | CORBA::tk_enum | ,
|  | sizeof(_oc_CORBA_SetOverrideType) | ,
|  | (char *)& | _oc_CORBA_SetOverrideType,
|  | 0 | ,
|  | sizeof(CORBA::SetOverrideType) |
| ) | `[static]`

CORBA::Boolean operator<< | ( | TAO_OutputCDR & | strm,
|  | const CORBA::PolicyTypeSeq & | _tao_sequence
| ) |

CORBA::Boolean operator<< | ( | TAO_OutputCDR & | strm,
|  | const CORBA::PolicyList & | _tao_sequence
| ) |

void operator<<= | ( | CORBA::Any & | _tao_any,
|  | CORBA::SetOverrideType | _tao_elem
| ) |

void operator<<= | ( | CORBA::Any & | _tao_any,
|  | CORBA::PolicyTypeSeq * | _tao_elem
| ) |

void operator<<= | ( | CORBA::Any & | _tao_any,
|  | const CORBA::PolicyTypeSeq & | _tao_elem
| ) |

void operator<<= | ( | CORBA::Any & | _tao_any,
|  | CORBA::PolicyList * | _tao_elem
| ) |

CORBA::Boolean operator>> | ( | TAO_InputCDR & | strm,
|  | CORBA::PolicyTypeSeq & | _tao_sequence
| ) |

CORBA::Boolean operator>> | ( | TAO_InputCDR & | strm,
|  | CORBA::PolicyList & | _tao_sequence
| ) |

CORBA::Boolean operator>>= | ( | const CORBA::Any & | _tao_any,
|  | CORBA::SetOverrideType & | _tao_elem
| ) |

CORBA::Boolean operator>>= | ( | const CORBA::Any & | _tao_any,
|  | const CORBA::PolicyTypeSeq *& | _tao_elem
| ) |

CORBA::Boolean operator>>= | ( | const CORBA::Any & | _tao_any,
|  | CORBA::PolicyTypeSeq *& | _tao_elem
| ) |

CORBA::Boolean operator>>= | ( | const CORBA::Any & | _tao_any,
|  | const CORBA::PolicyList *& | _tao_elem
| ) |

CORBA::Boolean operator>>= | ( | const CORBA::Any & | _tao_any,
|  | CORBA::PolicyList *& | _tao_elem
| ) |

TAO_NAMESPACE_TYPE | ( | CORBA::TypeCode_ptr |  | ) |

## Variable Documentation

const CORBA::Long _oc_CORBA_PolicyList[]`[static]`

const CORBA::Long _oc_CORBA_PolicyType[]`[static]`

| Initial value:
    {
      TAO_ENCAP_BYTE_ORDER,
      33,
      ACE_NTOHL (0x49444c3a),
      ACE_NTOHL (0x6f6d672e),
      ACE_NTOHL (0x6f72672f),
      ACE_NTOHL (0x434f5242),
      ACE_NTOHL (0x412f506f),
      ACE_NTOHL (0x6c696379),
      ACE_NTOHL (0x54797065),
      ACE_NTOHL (0x3a312e30),
      ACE_NTOHL (0x0),
      11,
      ACE_NTOHL (0x506f6c69),
      ACE_NTOHL (0x63795479),
      ACE_NTOHL (0x70650000),
      CORBA::tk_ulong,

    }

const CORBA::Long _oc_CORBA_PolicyTypeSeq[]`[static]`